package test;

import code.jSIPClient.SIP_Request;
import code.jSIPClient.SIP_Response;

public interface JavaSipEvents {
	public void Registering(SIP_Request req);
	public void RegisterSuccesful(SIP_Response resp);
	public void RegisterFailed(SIP_Response resp);
	public void IncomingCall(SIP_Request req, SIP_Response resp);
	public void RemoteHangUp(SIP_Request req);
	public void Ringing(SIP_Response resp);
	public void CalleePickup(SIP_Response resp);
	
}
